if not Watcher then return end

if select(2, UnitClass('player')) ~= "MAGE" then return end

local LBF = LibStub("LibButtonFacade", true)
local L = LibStub("AceLocale-3.0"):GetLocale("Watcher")
local media = LibStub:GetLibrary("LibSharedMedia-3.0");
local C = Watcher.constants
local _
	
-- generic spells
Watcher:addicon("Arcane Barrage", 44425)
Watcher:addicon("Arcane Blast", 30451)
Watcher:addicon("Arcane Missiles", 5143)
Watcher:addicon("Combustion", 11129)
Watcher:addicon("Evocation", 12051)
Watcher:addicon("Fireball", 133)
Watcher:addicon("Inferno Blast", 108853)
Watcher:addicon("Living Bomb", 44457)
Watcher:addicon("Mirror Image", 55342)
Watcher:addicon("Pyroblast", 11366)

-- talented spells and procs
Watcher:addicon("Arcane Charge", 36032)
Watcher:addicon("Arcane Missiles!", 79683)
Watcher:addicon("Incanter's Ward", 1463)
Watcher:addicon("Invocation", 114003)
Watcher:addicon("Nether Tempest", 114954)
Watcher:addicon("Presence of Mind", 12043)
Watcher:addicon("Pyroblast!", 48108)
Watcher:addicon("Rune of Power", 116011)

-- glyphs

function Watcher:addClassSpells()
Watcher:Buff("Incanter's Ward", "Incanter's Ward", true)
Watcher:Debuff("Living Bomb")
Watcher:Direct("Arcane Blast")
Watcher:Proc("Arcane Charge", "Arcane Barrage", 4)
--Watcher:Direct("Arcane Barrage")
--Watcher:Direct("Combustion")
Watcher:Capitalize("Pyroblast", "Combustion")
--Watcher:Direct("Evocation")
Watcher:PowerThreshold(30, true, "Evocation")
Watcher:Direct("Fireball")
Watcher:Direct("Inferno Blast")
Watcher:Direct("Invocation")
Watcher:Direct("Mirror Image")
Watcher:Direct("Nether Tempest")
Watcher:Direct("Presence of Mind")
Watcher:Direct("Rune of Power")
Watcher:Proc("Arcane Missiles!", "Arcane Missiles")
Watcher:Proc("Pyroblast!", "Pyroblast")
Watcher:Proc("Arcane Charge", "Arcane Barrage",4)


end