if not Watcher then return end

if select(2, UnitClass('player')) ~= "PALADIN" then return end

local LBF = LibStub("LibButtonFacade", true)
local L = LibStub("AceLocale-3.0"):GetLocale("Watcher")
local media = LibStub:GetLibrary("LibSharedMedia-3.0");
local C = Watcher.constants
local _

-- generic spells
Watcher:addicon("Crusader Strike", 35395)
Watcher:addicon("Exorcism", 879)
Watcher:addicon("Guardian of Ancient Kings", 86698)
Watcher:addicon("Hammer of Wrath", 24275)
Watcher:addicon("Inquisition", 84963)
Watcher:addicon("Judgment", 20271)
Watcher:addicon("Templar's Verdict", 85256)

-- talented spells and procs
Watcher:addicon("The Art of War", 59578)
Watcher:addicon("Censure", 31803)
Watcher:addicon("Execution Sentence", 114916)
Watcher:addicon("Holy Avenger", 105809)
Watcher:addicon("Holy Prism", 114165)
Watcher:addicon("Light's Hammer", 114158)
Watcher:addicon("Sanctified Wrath", 53376)

-- glyphs

function Watcher:addClassSpells()
Watcher:Apply("Censure", "Judgment", 0, 0, true, true)
Watcher:Buff("Inquisition", "Inquisition", true)
Watcher:Direct("Crusader Strike")
Watcher:Direct("Execution Sentence")
Watcher:Direct("Exorcism")
Watcher:Direct("Guardian of Ancient Kings")
Watcher:Direct("Holy Avenger")
Watcher:Direct("Holy Prism")
Watcher:Direct("Light's Hammer")
Watcher:Direct("Crusader Strike")
Watcher:Direct("Sanctified Wrath")
Watcher:HealthThreshold(20, false, "Hammer of Wrath")
Watcher:Direct("Templar's Verdict","Greater Than", 3, "Holy Power (Paladin)")

end	
	